Page MenuHomePhabricator

Copyvio: Allow CopyPatrol to show all revisions for a specific page
Closed, ResolvedPublic

Description

Add a URL param (or a new endpoint) for CopyPatrol to show the reports for all revisions of a specific page based on full title (NS:Title) or page id, whatever is easier.

That URL is going to be used by PageTriage to redirect users who want to learn more about copyvio for an article in the feed.

Event Timeline

SBisson created this task.Aug 2 2018, 6:48 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 2 2018, 6:48 PM
SBisson renamed this task from Copyvio: CopyPatrol to Copyvio: Allow CopyPatrol to show all revisions for a specific page.Aug 16 2018, 7:55 PM
SBisson updated the task description. (Show Details)
SBisson claimed this task.Aug 17 2018, 12:46 PM
SBisson added a subscriber: Niharika.

@Niharika I've created a pull request in CopyPatrol to implement this feature: https://github.com/wikimedia/CopyPatrol/pull/53

If you could take a look and give some feedback that would be greatly appreciated.

Niharika added a subscriber: MusikAnimal.EditedAug 17 2018, 7:34 PM

@Niharika I've created a pull request in CopyPatrol to implement this feature: https://github.com/wikimedia/CopyPatrol/pull/53
If you could take a look and give some feedback that would be greatly appreciated.

@MusikAnimal was kind enough to review and deploy it. Example.

Edit: I think Leon deployed it before I did. :)

Etonkovidova closed this task as Resolved.Aug 28 2018, 8:52 PM